NXOpen.UF.Curve.CreateArcTangentPointPoint

Curve.CreateArcTangentPointPoint()

Refer to UF_CURVE_create_arc_tangent_point_point for documentation.

Signature: CreateArcTangentPointPoint(tangentObject, point1, point2, helpDataP, limitP, supportPlane, isAsso)

Parameters:
  • tangentObject (Tag) – tag of tangent object at start
  • point1 (Tag) – tag of end point
  • point2 (Tag) – tag of middle point
  • helpDataP (NXOpen.UF.Curve.HelpData Refer to UF_CURVE_help_data_s for documentation.) – help data for tangent
  • limitP (list of NXOpen.UF.Curve.Limit Refer to UF_CURVE_limit_s for documentation.) – extension limits
  • supportPlane (Tag) – tag of support plane of the arc
  • isAsso (bool) – true - if associative, false - if not associative
Returns:

if is_asso == TRUE - object identifier of new associative arc f eature if is_asso == FALSE - object identifier of new associative arc

Return type:

Tag

License requirements: SOLIDS MODELING or DRAFTING